Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 177446 - Konqueror consumes 100% cpu time
Summary: Konqueror consumes 100% cpu time
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-07 10:51 UTC by Herbert Wantesh
Modified: 2007-12-27 18:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert Wantesh 2007-05-07 10:51:40 UTC
hi,
After starting konqueror it happens from time to time that konqueror consumes 100% cpu time .. it doesnt happen while doing specifig things .. it happens from time to time ... and there is no specific reason for this to happen .... when i kill the consuming konqueror instance everything is back to normal ... but it happens again after some time .....
i deleted all konqueror config files and reconfigured it .. but this doesnt fix it ....

my system specs:

Portage 2.1.2.5 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.5-r0, 2.6.20-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.20-gentoo-r7 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
Gentoo Base System release 1.12.9
Timestamp of tree: Mon, 07 May 2007 10:20:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r7
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -funroll-loops"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -pipe -funroll-loops"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://gd.tuwien.ac.at/opsys/linux/gentoo/"
LANG="de en"
LC_ALL="de_DE@euro"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage.overlay"
SYNC="rsync://rsync7.de.gentoo.org/gentoo-portage"
USE="X a52 aac alsa amd64 avi bash-completion browserplugin bzip2 caps commercial cracklib crypt css cups dga divx4linux dts dvd dvdr dvdread encode fam ffmpeg flac fortran gdbm gif gimp gimpprint glitz gpm gtk gtk2 iconv imagemagick irda jpeg kde kqemu lzo mad matroska moznomail mp3 mpeg mplayer musepack ncurses nls nptl nptlonly nsplugin nvidia nxclient ogg opengl pam pcre pdf perl png ppds python qt3 qt4 quicktime readline rtc server socks5 ssl tcpd theora tiff tk transcode truetype usb userlocales v4l v4l2 vcd vcdimager vorbis wma x264 xcomposite xft xine xorg xprint xv xvid zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always

Steps to Reproduce:
1.start konqueror
2.use it some time
3.
Comment 1 Wulf Krueger (RETIRED) gentoo-dev 2007-07-08 20:33:41 UTC
Which version are we talking about? 3.5.5? If so, please try if 3.5.7 fixes your problem.
Comment 2 Marcus D. Hanwell (RETIRED) gentoo-dev 2007-07-15 23:19:02 UTC
Please reopen if this is still an issue for you in 3.5.7.
Comment 3 Herbert Wantesh 2007-08-06 18:35:04 UTC
3.5.7 isnt stable on amd64 right now ....
Comment 4 Wulf Krueger (RETIRED) gentoo-dev 2007-08-06 18:48:29 UTC
Please re-read comment #2. Re-open only after trying with 3.5.7. It's currently being stabilised anyway.
Comment 5 Herbert Wantesh 2007-09-02 21:02:53 UTC
same problem with 3.5.7
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2007-09-03 03:54:30 UTC
Are you using the xeffects overlay?
Please post the output of emerge -pv konqueror
Comment 7 Herbert Wantesh 2007-09-03 09:39:01 UTC
Are you using the xeffects overlay? - no

emerge -pv konqueror

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] kde-base/konqueror-3.5.7-r2  USE="-arts -branding -debug -java -kdeenablefinal -kdehiddenvisibility -xinerama" 23,843 kB

Total: 1 package (1 reinstall), Size of downloads: 23,843 kB
Comment 8 Herbert Wantesh 2007-09-03 10:13:40 UTC
output from top:

top - 12:11:43 up  2:12,  0 users,  load average: 0.71, 0.38, 0.39
Tasks: 123 total,   3 running, 120 sleeping,   0 stopped,   0 zombie
Cpu(s): 26.5%us, 24.2%sy,  0.0%ni, 49.3%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   2059892k total,  2039644k used,    20248k free,        0k buffers
Swap:  3911788k total,      192k used,  3911596k free,  1296088k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
11710 puchu     25   0  101m  27m  16m R  100  1.3   1:05.96 konqueror



ps aux|grep konqueror
puchu    11710  7.4  1.3 103644 27716 ?        R    11:39   2:31 konqueror [kdeinit] -mimetype inode/directory file:///mnt
puchu    31180  0.0  0.4  78184  8576 ?        S    11:51   0:00 kio_file [kdeinit] file /home/puchu/.kde3.5/socket-tux/klauncher4nyGJa.slave-socket /home/puchu/.kde3.5/socket-tux/konquerorXQEzcc.slave-socket
puchu    31559  0.0  0.4  78184  8548 ?        S    12:10   0:00 kio_file [kdeinit] file /home/puchu/.kde3.5/socket-tux/klauncher4nyGJa.slave-socket /home/puchu/.kde3.5/socket-tux/konquerorjhvUlb.slave-socket
puchu    31562  0.1  0.6  77816 12764 ?        SN   12:10   0:00 kio_thumbnail [kdeinit] thumbnail /home/puchu/.kde3.5/socket-tux/klauncher4nyGJa.slave-socket /home/puchu/.kde3.5/socket-tux/konquerore8eYJb.slave-socket
puchu    31660  0.0  0.0   5160   912 pts/3    S+   12:13   0:00 grep --colour=auto konqueror
Comment 9 Matteo Azzali (RETIRED) gentoo-dev 2007-09-05 07:24:11 UTC
Does this happens if you disable both java and javascripts (from the settings
dialog, please)?
Comment 10 Herbert Wantesh 2007-09-05 17:58:35 UTC
disabled java & javascript .... same problem here ....
Comment 11 Matteo Azzali (RETIRED) gentoo-dev 2007-09-10 07:24:57 UTC
Unable to reproduce. 
Possible issue causes I can think:
for amd64 only, for -java USE flag only,
a specific page /file thumbnail generation is causing this.
(it happens from time to time doing what???)
Comment 12 Matteo Azzali (RETIRED) gentoo-dev 2007-09-10 07:28:49 UTC
Ops, also give a look to bug #191800 and
http://bugs.kde.org/show_bug.cgi?id=148569
to check if it's the same issue.
Comment 13 Herbert Wantesh 2007-09-10 15:57:16 UTC
no doesnt seem so .... 
i dont use konqueror as browser .. it seems to wait for something
i dont have a slower performance because i have a dual core cpu ..and only one cpu takes 100% time ... the only way to stop it from taking 100% is to kill all instances of konqueror .... and everything is back to normal for some time ...
i also think that it is related to dirs that have a lot of files in their sub directories ... when i do a svn co from www.openwrt.org ... and i compile the sys .... and im viewing the topdir .. konqueror begins after some time to consume 100% cpu time ... but it also happens in dirs that have nearly no files in them...
is there maybe a way to log the output of konqueror? maybe i can find out whats the matter? ... or should i try to delete my ~/.kde* dirs to reset all config files?

Comment 14 Matteo Azzali (RETIRED) gentoo-dev 2007-09-10 22:39:03 UTC
To get some output from konqueror all you need is to start it from
terminal (konsole). No backtraces because there's no crash, but you can
try to check which files are in the nearly-empty dirs ( you already said you
deleted your configure file). My other suspect is that the issue is given
by something external like file previews (does it happens if you browse
directories in detail view ? ), because you said it happens from time to time
(so something is probably triggering it)
Comment 15 Herbert Wantesh 2007-09-15 21:45:03 UTC
does it happens if you browse
directories in detail view?

yeah thats the problem .. i figured out it only happens in thumbnail view ....
in detailed view everything is okay ...

cool
thank you very much
Comment 16 Herbert Wantesh 2007-09-18 10:08:15 UTC
hi

i thought the error is gone .. but no .. it happend again ... without having any instances open in thumbnail view ...


  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 8075 puchu     25   0 98.8m  24m  16m R  101  1.2   4:04.63 konqueror

in htop i can see how the konqueror was called .... 

  PID USER     PRI  NI  VIRT   RES   SHR S CPU% MEM%   TIME+  Command
 8075 puchu     25   0   98M 24924 16544 R 98.7  1.2  6:18.37 konqueror [kdeinit] -mimetype inode/directory file:///mnt/server

Comment 17 Matteo Azzali (RETIRED) gentoo-dev 2007-09-24 10:00:10 UTC
For the reopening of the bug, try to remove nsplugin and flash and
then retest, according to bug #193513
Comment 18 Emmanuel Favre_Nicolin 2007-11-10 02:53:11 UTC
I observe a similar problem here but it always happens when opening http://gentoo-wiki.com/HOWTO_compiz-fusion
(for example) => I think there is a problem when the googleadd is loaded. 

Exactly when CPU reach 100%, I observe the GLib-CRITICAL and Gtk-CRITICAL of bug 193513 (http://bugs.gentoo.org/show_bug.cgi?id=193513): 

  tail .xsession-errors 
 ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81) 
 ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81) 
 ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81) 
 
 (process:9025): GLib-GObject-CRITICAL **: gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function 
 
 (process:9025): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed 
 
 (process:9025): Gtk-CRITICAL **: gtk_clipboard_get_for_display: assertion `GDK_IS_DISPLAY (display)' failed 
 Adobe FlashPlayer: gtk_clipboard_get(GDK_SELECTION_PRIMARY); failed. Trying to call gtk_init(0,0); 

If I unselect javasript in konqueror, no 100% CPU and no googleadd too (two (!!) good!)

emerge -pv konqueror konq-plugins net-www/netscape-flash x11-libs/gtk+

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] virtual/jre-1.6.0  0 kB
[ebuild   R   ] kde-base/konq-plugins-3.5.7  USE="-arts -debug -kdeenablefinal -xinerama" 0 kB
[ebuild   R   ] net-www/netscape-flash-9.0.60.0_beta100107  0 kB
[ebuild   R   ] x11-libs/gtk+-2.10.14  USE="X jpeg tiff -debug -doc -xinerama" 0 kB
[ebuild   R   ] kde-base/konqueror-3.5.7-r3  USE="java -arts -branding -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB


emerge --info
Portage 2.1.3.9 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r8 i686)
=================================================================
System uname: 2.6.22-gentoo-r8 i686 Intel(R) Pentium(R) M processor 1.50GHz
Timestamp of tree: Tue, 30 Oct 2007 01:47:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.22-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://mirror.utdlug.org/linux/distributions/gentoo/ http://mirror.phy.olemiss.edu/mirror/gentoo ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LINGUAS="en fr pt_BR"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/home/portage_tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/sci /usr/portage/local/layman/hanno-xgl /usr/portage/local/layman/science /usr/portage/local/layman/sunrise /usr/portage/local/layman/xeffects"
SYNC="rsync://rsync.samerica.gentoo.org/gentoo-portage"
USE="X aac acl acpi aim alsa audiofile avahi bash-completion berkdb bitmap-fonts blas bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emacs emboss encode esd ethereal evo exif fam ffmpeg fftw firefox flac foomaticdb fortran ftp gcj gdbm gif gphoto2 gpm gstreamer gtk gtk2 hal iconv ieee1394 imagemagick imap ipv6 isdnlog jabber jpeg jpeg2k kde kdexdelta kerberos lapack ldap lirc mad maildir matroska mbox memlimit midi mikmod mmx mng mp3 mpeg msn mudflap ncurses nls nptl nptlonly nsplugin ogg openexr opengl openmp oss pam pcre pdf perl plotutils png ppds pppd python qt qt3 qt3support qt4 quicktime readline recode reflection samba scanner sdl session sndfile sox speex spell spl sse sse2 ssl svg symlink tcpd tetex threads tiff truetype truetype-fonts type1-fonts unicode usb v4l vcd vorbis wifi win32codecs wmf x86 xine xml xorg xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr pt_BR" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 19 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2007-11-13 02:10:21 UTC
Hi.

(In reply to comment #18)
> I observe a similar problem here but it always happens when opening
> http://gentoo-wiki.com/HOWTO_compiz-fusion
> (for example) => I think there is a problem when the googleadd is loaded. 
> 
> Exactly when CPU reach 100%, I observe the GLib-CRITICAL and Gtk-CRITICAL of
> bug 193513 (http://bugs.gentoo.org/show_bug.cgi?id=193513): 
> 
> PORTDIR_OVERLAY="/usr/local/portage /usr/local/sci
> /usr/portage/local/layman/hanno-xgl /usr/portage/local/layman/science
> /usr/portage/local/layman/sunrise /usr/portage/local/layman/xeffects"

You have a lot of overlays, including xeffects and hanno-xgl. Please rebuild all kde packages using the Portage ebuilds and try again.
Comment 20 Carsten Lohrke (RETIRED) gentoo-dev 2007-12-27 17:44:05 UTC
As Jorge pointed out, please reproduce your problem without using any overlays. We don't support them. And if it's still an issue, please try to narrow it down. From the information you provided so far it could be all and everything. From using experimental software over to flaky hardware to a genuine Konqueror bug, but nothing to track it down. gdb may be your best choice, if everything else doesn't help.
Comment 21 Herbert Wantesh 2007-12-27 18:38:54 UTC
i tracked down the cause ... it seems to be some pictures, and it only happens when i use thubnail view ... when i use the normal symbol view everything is fine .... i normal view (tree view) everything is nice for over a month now.....

thanks for your help everyone....